package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 可靠性管理清单对象 t_kekao_mg_list
 *
 * @author ruoyi
 * @date 2022-07-07
 */
public class TKekaoMgList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 影响因素 */
    @Excel(name = "影响因素")
    private String influenceFactor;

    /** 措施 */
    @Excel(name = "措施")
    private String measures;

    /** 完成状态 */
    @Excel(name = "完成状态")
    private Long completeStatus;

    /** 实行时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "实行时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date implementDate;

    /** 实行人 */
    @Excel(name = "实行人")
    private String implementPerson;

    /** 申请状态 */
    @Excel(name = "申请状态")
    private Long approveStatus;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setInfluenceFactor(String influenceFactor)
    {
        this.influenceFactor = influenceFactor;
    }

    public String getInfluenceFactor()
    {
        return influenceFactor;
    }
    public void setMeasures(String measures)
    {
        this.measures = measures;
    }

    public String getMeasures()
    {
        return measures;
    }
    public void setCompleteStatus(Long completeStatus)
    {
        this.completeStatus = completeStatus;
    }

    public Long getCompleteStatus()
    {
        return completeStatus;
    }
    public void setImplementDate(Date implementDate)
    {
        this.implementDate = implementDate;
    }

    public Date getImplementDate()
    {
        return implementDate;
    }
    public void setImplementPerson(String implementPerson)
    {
        this.implementPerson = implementPerson;
    }

    public String getImplementPerson()
    {
        return implementPerson;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("influenceFactor", getInfluenceFactor())
            .append("measures", getMeasures())
            .append("completeStatus", getCompleteStatus())
            .append("implementDate", getImplementDate())
            .append("implementPerson", getImplementPerson())
            .append("approveStatus", getApproveStatus())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
